#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh -- climm installation
#
# Copyright (c) 2005--2008 Alexander Dahl <post@lespocky.de>
#
# Creation:     2005-08-09  alex
# Last Update:  $Id: install.sh 386 2010-03-27 07:42:10Z alex $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------
PACKAGE='climm'
VERSION='1.5.4'
CHECK_FILE="/etc/filelist.d/${PACKAGE}-files.txt"
PATH='/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin'

#----------------------------------------------------------------------------
# Include EisFair Lib if there and show a message
#----------------------------------------------------------------------------
if [ -f /var/install/include/eislib ]
then
    . /var/install/include/eislib
    #------------------------------------------------------------------------
    # New Script Message
    #------------------------------------------------------------------------
    mecho -info "Installing $PACKAGE ${VERSION} ..."
else
    #------------------------------------------------------------------------
    # Old Script Message
    #------------------------------------------------------------------------
    echo "Installing $PACKAGE ${VERSION} ..."
fi

### set access rights
echo "Setting correct permissions of $PACKAGE files ..."
CHMODFILES="`grep -v ' tmp/' $CHECK_FILE | awk '/^[u|b] / {print $2":/"$6}'`"
for i in $CHMODFILES
do
    CHMOD_FILE=`echo "$i" | sed 's/:/ /'`
    chmod $CHMOD_FILE
done                

### create symlink
cd /usr/bin
ln -sf climm micq

exit 0
