#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - climm preinstallation
#
# Copyright (c) 2005--2008 Alexander Dahl <post@lespocky.de>
#
# Creation:     2005-07-02  alex
# Last Update:  $Id: preinstall.sh 201 2008-12-14 09:27:27Z alex $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------
PACKAGE='climm'
NEEDED_BASE='1.2.0'
PATH='/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin'

### check base version
if [ ! -f /var/install/bin/check-version ] ||
   [ `/var/install/bin/check-version base $NEEDED_BASE` = "new" ]
then
    echo
    echo
    colecho "The version of eisfair must be $NEEDED_BASE or higher." rd w brinv
    colecho "Please update your eisfair system first." rd w brinv
    echo
    echo
    exit 1
fi

. /var/install/include/eislib

if [ `/var/install/bin/check-version micq 1.3.0` = "new" ]
then
    echo
    echo
    mecho -warn "Format of micq config files has changed."
    mecho -warn 'Please backup your config folder $HOME/.micq'
    mecho -warn "before you start micq again!"
    echo
    echo
    anykey
fi

### deinstall old package version
if [ -f "/var/install/deinstall/micq" ]
then
    echo
    mecho -warn "You update from mICQ to climm, be aware that your"
    mecho -warn 'config folder will change from $HOME/.micq to $HOME/.climm'
    mecho -warn "You may want to backup your old config before you"
    mecho -warn "start micq/climm the next time!"
    echo
    anykey
    /var/install/deinstall/micq
fi
if [ -f "/var/install/deinstall/${PACKAGE}" ]
then
    /var/install/deinstall/$PACKAGE update
fi

exit 0
